Copy PageGet all analysis sets or selection listsget https://{subdomain}.alisqi.com/api/getAllSetsUse this API operation to get a list of (all) analysis sets or selection lists.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamsgroupsstringThe id(s) or the name(s) of the group(s) to retrieve, as a comma-separated list. When only numbers are used (e.g. 1,3), they are treated as group ids, and the groups with these ids are retrieved. Otherwise (e.g. G1,G3), each value is matched case-insensitively against part of the group name: the groups whose name contains G1 or G3 are retrieved. This also applies to a mix of names and numbers: G1,3 retrieves the groups whose name contains G1 or 3. If the value Selection lists (case-insensitive) is passed, all selection lists are retrieved. Values are not trimmed, so don't put spaces after the commas. When both groups and names are specified, the sets that match either of them are returned.namesstringThe name(s) of the analysis set(s) or selection list(s) to retrieve, as a comma-separated list. Each value is matched case-insensitively against part of the name: Coating retrieves all sets whose name contains coating. Values are not trimmed, so don't put spaces after the commas. When both groups and names are specified, the sets that match either of them are returned.Responses 200The output will be a JSON-encoded array. Each array element contains a JSON object. 400Bad Request: a parameter is missing or invalid. 401Unauthorized: no token was provided, or the token is invalid. 403Forbidden: the user associated with the token lacks the required permission, or the request comes from an IP address that is not in the token's IP allow-list. 429Too Many Requests: the rate limit has been exceeded. Retry after the time in X-RateLimit-Retry-After. 500Internal Server Error: an unexpected error occurred.Updated about 3 hours ago Did this page help you?YesNo